import { HttpClient } from '@angular/common/http';
import { TranslateService } from '@ngx-translate/core';
import { MessageService } from 'primeng/api';
import { CompensationDto } from '../compensation/compensation-dto';
export declare class CompensationAdjustmentService {
    private readonly http;
    private readonly messageService;
    private readonly translate;
    private readonly bffFacadeUrl;
    constructor(http: HttpClient, messageService: MessageService, translate: TranslateService);
    insert(compensation: CompensationDto): import("rxjs").Observable<unknown>;
    update(id: any, compensation: CompensationDto): import("rxjs").Observable<unknown>;
    delete(id: string): import("rxjs").Observable<unknown>;
}
